Tools
Validate posts and media before publishing; feedback and changelog.
Character counts per network
/tools/validate/post-lengthWeighted counts (X: URLs = 23, emoji/CJK = 2; x_premium = 25,000).
Try it with MCPAsk your agent to call validate-post-length (toolset tools)Set up MCP
Body object
textstringrequired≤ 100000 characters
platformsarray of stringReturns object
objectstringpost_length
text_lengthintegerplatformsmap of objectResponses
{
"object": "post_length",
"text_length": 1,
"platforms": {
"key": {
"length": 1,
"limit": 1,
"remaining": 1,
"valid": true
}
}
}Validate a post for its target networks
/tools/validate/postSame body as POST /posts; nothing is created. Runs shared limits, each network validator and platform_options schemas.
Try it with MCPAsk your agent to call validate-post (toolset tools)Set up MCP
Body object
contentstring≤ 63206 characters
titlestring | null≤ 300 characters
account_idsarray of string≤ 200 items
profile_idstring | null≤ 80 characters
group_idstring≤ 80 characters
platformsarray of string≤ 30 items
targetsarray of object≤ 200 items
Show 8 item attributes
account_idstringrequiredsocialAccount id (sa_…)
1–80 characters
contentstring≤ 63206 characters
media_idsarray of string≤ 35 items
media_urlsarray of anyPublic HTTPS URLs or { url, alt_text?, type? }
≤ 35 items
mediaarray of object≤ 35 items
Show 4 item attributes
media_idstringmedia id (med_…)
1–80 characters
urlstring≤ 2048 characters
alt_textstring≤ 2000 characters
typestringimagevideogifdocument
platform_optionsobjectfirst_commentstring≤ 10000 characters
scheduled_atstring≤ 40 characters
media_idsarray of string≤ 35 items
media_urlsarray of anyPublic HTTPS URLs or { url, alt_text?, type? }
≤ 35 items
mediaarray of object≤ 35 items
Show 4 item attributes
media_idstringmedia id (med_…)
1–80 characters
urlstring≤ 2048 characters
alt_textstring≤ 2000 characters
typestringimagevideogifdocument
platform_optionsobjectfirst_commentstring | null≤ 10000 characters
thread_itemsarray of object≤ 25 items
Show 2 item attributes
contentstringrequired≤ 63206 characters
media_idsarray of string≤ 10 items
quote_post_idstring | null≤ 80 characters
quote_urlstring | null≤ 2048 characters
reply_to_urlstring | null≤ 2048 characters
scheduled_atstring | nullISO 8601; without offset = wall clock in timezone
≤ 40 characters
timezonestring | null≤ 64 characters
publish_nowbooleanqueuebooleanqueue_idstring | null≤ 80 characters
draftbooleantagsarray of string≤ 50 items
metadataobjectstrictbooleanrecycleobject | nullShow 7 child attributes
enabledbooleanrequiredintervalinteger1–365
interval_unitstringdayweekmonth
start_atstring (date-time)max_countinteger | null1–1000
expires_atstring (date-time) | nullcontent_variationsarray of string≤ 20 items
notestring≤ 5000 characters
Returns object
objectstringpost_validation
validbooleanerrorsarray of objectShow 5 item attributes
account_idstring | nullplatformstring | nullcodestringmessagestringparamstring | nullwarningsarray of objectShow 5 item attributes
account_idstring | nullplatformstring | nullcodestringmessagestringparamstring | nulltargetsarray of objectShow 7 item attributes
account_idstring | nullplatformstringvalidbooleanlengthinteger | nulllimitinteger | nullerrorsarray of stringwarningsarray of stringResponses
{
"object": "post_validation",
"valid": true,
"errors": [
{
"account_id": "string",
"platform": "string",
"code": "string",
"message": "string",
"param": "string"
}
],
"warnings": [
{
"account_id": "string",
"platform": "string",
"code": "string",
"message": "string",
"param": "string"
}
],
"targets": [
{
"account_id": "string",
"platform": "string",
"valid": true,
"length": 1,
"limit": 1,
"errors": [
"string"
],
"warnings": [
"string"
]
}
]
}Validate a media URL or library item
/tools/validate/mediaTry it with MCPAsk your agent to call validate-media-url (toolset tools)Set up MCP
Body object
urlstring≤ 2048 characters
media_idstringmedia id (med_…)
1–80 characters
platformsarray of stringReturns object
objectstringmedia_validation
validbooleanurlstring | nullcontent_typestring | nullsizeinteger | nullsize_formattedstring | nulltypestring | nullplatformsmap of objecterrorsarray of stringResponses
{
"object": "media_validation",
"valid": true,
"url": "https://example.com",
"content_type": "string",
"size": 1,
"size_formatted": "string",
"type": "string",
"platforms": {
"key": {
"valid": true,
"max_bytes": 1,
"errors": [
"string"
]
}
},
"errors": [
"string"
]
}Check a subreddit
/tools/validate/subredditExistence, posting restrictions, rules and post requirements, through a connected Reddit account.
Try it with MCPAsk your agent to call validate-subreddit (toolset tools)Set up MCP
Query parameters
namestringrequired1–100 characters
account_idstringReturns object
objectstringsubreddit_validation
namestringexistsbooleanvalidbooleansubredditobject | nullResponses
{
"object": "subreddit_validation",
"name": "string",
"exists": true,
"valid": true,
"subreddit": {}
}TikTok video metadata
/tools/tiktok/downloadMetadata and embed only: TikTok's official APIs don't allow downloading videos (download_url is always null).
Try it with MCPAsk your agent to call download-tik-tok-video (toolset tools)Set up MCP
Query parameters
urlstringrequired10–2048 characters
actionstringdownloadmetadata
format_idstringReturns object
objectstringtiktok_video
urlstringvideo_idstring | nullauthorstring | nulltitlestring | nullthumbnail_urlstring | nullembed_htmlstring | nulldownload_urlstring | nullunavailable_reasonstring | nullformatsarray of objectResponses
{
"object": "tiktok_video",
"url": "https://example.com",
"video_id": "string",
"author": "string",
"title": "string",
"thumbnail_url": "https://example.com",
"embed_html": "string",
"download_url": "https://example.com",
"unavailable_reason": "string",
"formats": [
{}
]
}Send feedback to the Socialit team
/feedbackBugs, missing features and docs issues; built for AI agents too.
Try it with MCPAsk your agent to call submit-feedback (toolset tools)Set up MCP
Headers
Idempotency-KeystringUnique key (for example a UUID) that makes retries safe: a repeated request with the same key and body returns the first response (Idempotent-Replayed: true) for 24 hours.
≤ 255 characters
Body object
typestringrequiredbugmissing_featuredocsother
summarystringrequired3–500 characters
detailsstring≤ 10000 characters
endpointstring≤ 300 characters
request_idstring≤ 100 characters
expectedstring≤ 5000 characters
actualstring≤ 5000 characters
agentstring≤ 100 characters
Returns object
objectstringfeedback
idstringtypestringsummarystringdetailsstring | nullendpointstring | nullrequest_idstring | nullexpectedstring | nullactualstring | nullagentstring | nullcreated_atstring (date-time) | nullResponses
{
"object": "feedback",
"id": "string",
"type": "string",
"summary": "string",
"details": "string",
"endpoint": "string",
"request_id": "string",
"expected": "string",
"actual": "string",
"agent": "string",
"created_at": "2026-10-13T09:00:00.000Z"
}API changelog
/changelogTry it with MCPAsk your agent to call list-changelog (toolset tools)Set up MCP
Query parameters
typestringnew_featureimprovementbreaking_changedeprecationfix
impactstringlowmediumhigh
platformstringbeforestring≤ 30 characters
limitintegerdefault: 201–100
Returns object
objectstringrequiredlist
dataarray of objectrequiredShow 10 item attributes
objectstringchangelog_entry
idstringdatestringtypestringimpactstringtitlestringdescriptionstringplatformsarray of stringoperationsarray of stringurlstring | nullpageintegerrequiredlimitintegerrequiredtotalinteger | nullhas_morebooleanrequirednext_page_urlstring | nullprevious_page_urlstring | nullResponses
{
"object": "list",
"data": [
{
"object": "changelog_entry",
"id": "string",
"date": "string",
"type": "string",
"impact": "string",
"title": "string",
"description": "string",
"platforms": [
"string"
],
"operations": [
"string"
],
"url": "https://example.com"
}
],
"page": 1,
"limit": 1,
"total": 1,
"has_more": true,
"next_page_url": "https://example.com",
"previous_page_url": "https://example.com"
}